<ion-header>
  <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
      <h3 style="margin-right: auto; margin-left: auto;">data transaksi sample</h3>
    </ion-title>
  </ion-navbar>
</ion-header>



<ion-content>
	<form (ngSubmit)="saveTransaksi()" #transaksiForm="ngForm">
    <!--<section class="home-container">
		<div class="row survey-row">
		  <div class="col col-style text-center"><h4><ion-icon name="checkbox"></ion-icon> Selesaikan Pembelian</h4></div>
		</div>            
    </section>-->
    <ion-item-divider>      
      <ion-label position="floating">
       <ion-icon name="cart"></ion-icon> 
        <span class="font-color-blue" style="font-size: 17px;">Keranjang</span> <span class="font-color-green" style="font-size: 17px;">Belanja</span>
      </ion-label>
      <ion-input></ion-input>
    </ion-item-divider>
	
    <ion-list>
      <ion-item *ngFor="let p of cart" class="ion-text-wrap">
        <ion-grid>
          <ion-row class="ion-align-items-center">
		    <img src="https://apps.haldinfoods.com/public/image/products/{{p.product_image}}" alt="" item-left class="product-thumb" width="40px" height="40px" />
            
			<ion-col size="12" size-md>              
			  <span style="font-size: 12px;">Kuantitas : {{ p.amount }} <br />
			  {{ p.amount * p.price | currency : "Rp." : 0  }}
			  </span>
            </ion-col>
		  </ion-row>
          <ion-row class="ion-align-items-center"> 
			<ion-col size="12" size-md>
               <span style="font-size: 12px;">{{ p.product_name }}  <b>{{ p.packaging_size }}</b> <!--<b>{{ p.weight }}</b>--></span>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col size="12">
			<span style="font-size: 12px;">
              <b>Total: {{ getTotal() | currency : "Rp." : 0 }} </b>
			   <!--<b>Total Berat:</b>--> <!--{{ getWeight() }}-->
			</span>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
    </ion-list>
	
	<ion-item-divider>      
      <ion-label position="floating">
     <ion-icon name="contacts"></ion-icon>
        <span class="font-color-blue" style="font-size: 17px;">Data </span> <span class="font-color-green" style="font-size: 17px;">Pelanggan</span>
      </ion-label>
      <ion-input ></ion-input>
   </ion-item-divider>
   
    <ion-item>
        <ion-label position="floating">Customer</ion-label>
        <ion-input type="hidden" [(ngModel)]="total_berat" name="total_berat" clearInput=true></ion-input>	
        <ion-input type="hidden" [(ngModel)]="total_belanja" name="total_belanja" clearInput=true></ion-input>	
		
		<ion-select [(ngModel)]="customer" name="customer" (ionChange)="getnoHp($event)">
			<ion-option *ngFor="let customer of data_customer" value="{{customer.gelar}}&{{customer.id}}&{{customer.customer_name}}&{{customer.email}}" [selected]="true">{{customer.customer_name}}</ion-option>
		</ion-select>   		
    </ion-item>
    
	
	<!-- <ion-item class="lista">
		<div class="item item-input item-select">
			<div class="input-label" style="color: #a3a3a3;">
				Customer
			</div>
			<select  name="customer" [(ngModel)]="customer" class="selector">
			    <option value="" selected="selected">-- Pilih Akun --</option>
				<option *ngFor="let customer of data_customer" value="{{customer.gelar}}&{{customer.id}}&{{customer.customer_name}}&{{customer.email}}">{{customer.customer_name}} ({{customer.email}})</option>
			</select>	
		</div>
	</ion-item> -->
	
   <ion-item>
    <ion-label>Telepon</ion-label>
	<ion-input type="hidden" [(ngModel)]="tipe_user" name="tipe_user" clearInput=true></ion-input>
    <ion-input type="text" [(ngModel)]="telepon" name="telepon" clearInput=true></ion-input>
  </ion-item>
  
 <!--  <div *ngIf=" todo.providerUser == 'Sales'">
	  <ion-item class="lista">
			<ion-label>Pilih Pembayaran</ion-label>
			<ion-select [(ngModel)]="pilihBayar" name="pilihBayar" (ionChange)="hideOutlet($event)">
				<ion-option value="1">Dengan OC</ion-option>
				<ion-option value="2">Pembayaran Bank</ion-option>
			</ion-select>		
	  </ion-item>
  </div> -->
  
  <!-- <div [hidden]=inputDisabled>   -->
  <ion-item-divider>      
      <ion-label position="floating">
     <ion-icon name="train"></ion-icon>
        <span class="font-color-blue" style="font-size: 17px;">Data</span> <span class="font-color-green" style="font-size: 17px;">Pengiriman</span>
      </ion-label>
      <ion-input ></ion-input>
   </ion-item-divider>
   
   <ion-item class="lista">	
        <ion-label>Produk Dikirim Dari</ion-label>	
		<ion-select name="originSelected" (ionChange)="onGetStock($event)" [(ngModel)]="originSelected">
		    <ion-option *ngFor="let origin of data_origin" value="{{origin.originIdOngkir}}" [selected]="origin.originIdOngkir==province_id_tab ? 'true':'false'">{{origin.StockAreaName}}</ion-option>
		</ion-select>
	</ion-item>	
   
   <div *ngIf=" todo.providerUser == 'Agent'">
    <ion-item>
		<ion-label>Nama Penerima</ion-label>
		<ion-input type="text" [(ngModel)]="nama_penerima" name="nama_penerima" clearInput=true></ion-input>
    </ion-item>
	</div>
  
    <ion-item>
        <ion-label position="floating">Alamat Tujuan</ion-label>
       <ion-textarea [(ngModel)]="alamat" name="alamat"></ion-textarea>
    </ion-item>
   
    <ion-item class="lista">	
        <ion-label>Pilih Provinsi</ion-label>	
		<ion-select name="provinsiSelected" (ionChange)="onGetCity($event)" [(ngModel)]="provinsiSelected">
		    <ion-option *ngFor="let provinsi of data_provinsi" value="{{provinsi.province_id}}-{{provinsi.province}}">{{provinsi.province}}</ion-option>
		</ion-select>
	</ion-item>	
	
	<ion-item class="lista">	
         <ion-label>Pilih Kota</ion-label>	
		<ion-select name="citySelected" [(ngModel)]="citySelected">
		    <ion-option *ngFor="let city of data_city" value="{{city.city_id}}-{{city.city_name}}-{{city.type}}-{{city.postal_code}}">{{city.city_name}}-{{city.type}}</ion-option>
		</ion-select>
	</ion-item>	

	<ion-item class="lista">
	    <ion-label>Pengiriman</ion-label>
		<ion-select [(ngModel)]="kurirSelected" name="kurirSelected" (ionChange)="getPaket($event)">
		    <!-- <ion-option *ngFor="let kurir of data_kurir" value="{{kurir.kurir_id}}">{{kurir.nama_kurir}}</ion-option> -->
<!-- 			<ion-option value="0" [selected]="true">--Pilih Kurir Pengiriman--</ion-option>
 -->			<ion-option value="tiki" [selected]="true">Tiki</ion-option>
                <ion-option value="jne" [selected]="true">JNE</ion-option>
                <ion-option value="rex" [selected]="true">Rex</ion-option>
                <!--<div *ngIf=" todo.providerUser == 'Karyawan'">-->
					<ion-option value="none" [disabled]=inputDisabledCibitung>Ambil langsung di HO Cibitung</ion-option>
					<ion-option value="none1" [disabled]=inputDisabledBella>Ambil langsung di Bella Terra</ion-option>
					<ion-option value="none2" [disabled]=inputDisabledYogya>Ambil langsung di Stock Yogya</ion-option>
					<ion-option value="none3" [disabled]=inputDisabledKendari>Ambil langsung di Stock Kendari</ion-option>
					<ion-option value="none4" [disabled]=inputDisabledBali>Ambil langsung di Stock Bali</ion-option>
					<ion-option value="none5" [disabled]=inputDisabledBandung>Ambil langsung di Stock Bandung</ion-option>
				<!--</div>-->
		</ion-select>		
	</ion-item>
	
	<ion-item class="lista">
		<div class="item item-input item-select">
			<div class="input-label" style="color: #a3a3a3; padding: 4px;">
				Paket  : {{todo.set_cost | currency : "Rp." : 0}}
			</div>
			<!--<div *ngIf=" todo.providerUser == 'Karyawan'">
				{{0 | currency : "Rp." : 0}}
			</div>-->
			
			<span style="text-align: center;" [hidden]=inputDisabledShip>
				<select name="paketSelected" [(ngModel)]="paketSelected" [innerHTML]="sanitizer.bypassSecurityTrustHtml(data_cost)" class="selector" (change)="showCostPaket($event)">
					 
				</select>	
			</span>
			<span [hidden]=inputDisabledGpaket>
				<a href="#" style="background-color: #e2ebfd; color:#b13b3b;" ion-button icon-left (click)="gantipaket()">
				  <ion-icon name="arrow-dropright-circle"></ion-icon>
				  Ganti Paket 
				</a>
			</span>
		</div>
	</ion-item>
    
  </form>
  
   <ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
</ion-content>


<ion-footer>
  <ion-list no-margin>
    <ion-item no-padding>
      <ion-label padding-left>
        
      </ion-label>
      <button [hidden]=stockHiden item-end ion-button color="secondary" icon-left [disabled]="!transaksiForm.form.valid" (click)="transaksiForm.ngSubmit.emit()">
          <ion-icon name="document"></ion-icon>
         SIMPAN OC SAMPLE 
      </button>
    </ion-item>
  </ion-list>
</ion-footer>
